/* Declarations of IRC message structures, variables, and functions.
 *
 * Auspice Services is copyright (c) 2000-2001 In Mean
 *     E-mail: inmean@auspice.org
 *
 * SirvNET Services is copyright (c) 1998-2000 Trevor Klingbeil.
 *     E-mail: <priority1@dal.net>
 * Originally based on EsperNet Services(c) by Andy Church.
 * This program is free but copyrighted software; see the file LICENSE for
 * details.
 */

//    ATTENTION   ATTENTION   ATTENTION  ATTENTION  ATTENTION
//
//    If you don't know what you're doing, DO NOT modify this file.
//    Modifications may cause unpredictable results, and I will not
//    take responsibility for it!. Do NOT send me bug reports of
//    errors if its related to this.
//
//
//       \2 - [^B]  Bold          \15 - [^O] Reset format
//       \22 -[^V]  Reverse       \37 - [^_] Underline
//
//           %s - string         %d - integer
//
//   For those of you that wish to use mIRC colour codes,
//   use the following syntax:     (Not Recommended)
//
//     \003# - Foreground    \003#,# - Foreground,Background
//
//     0  - White               8  - Yellow
//     1  - Black               9  - Light Green
//     2  - Blue                10 - Cyan
//     3  - Green               11 - Light Cyan
//     4  - Light Red           12 - Light Blue
//     5  - Brown               13 - Pink
//     6  - Purple              14 - Grey
//     7  - Orange              15 - Light Grey
//
//   NOTE: Numbers can NOT be followed after a colour code.

/*************************************************************************/

//    ** DON'T TOUCH THE NEXT 6 LINES **

typedef struct {
    const char *name;
    void (*func)(char *source, int ac, char **av);
} Message;
extern Message messages[];
extern Message *find_message(const char *name);



// General Strings
#define WELCOME_NOTICE    "Welcome to %s, %s! Your nick is unregistered. Here on %s, we provide our users with services that allow you to own your own nicks and channels. For more information, type: \2/msg %s help\2 or \2/msg %s help\2."
/*  WELCOME_NOTICE Found in users.c  */
#define CUSTOM_WELCOME  ""
#define D_CLONES        "\2WARNING\2 - possible clones detected from %s@%s [%d]"
#define D_CLONES2       "\2WARNING\2 - possible clones detected from %s [%d]"


// NickServ Strings
#define NS_DROP           "Your nickname has been dropped."
#define NS_DELETE         "Nick %s has been deleted."
#define NS_ONLYREG        "Only registered nick may use this option."
#define NS_PLZID          "Please identify with %s first, using the command:"
#define NS_IDCOM          "/msg %s IDENTIFY \37password\37"
#define NS_DISABLED       "This option is disabled by Services Master."
#define NS_UNKNOWC        "Unrecognized command \2%s\2.  Type \"/msg %s HELP\" for help."
#define NS_NOTREG         "Nick %s isn't registered."
#define NS_NOTREGED       "Your nickname is not registered."
#define NS_ALREADYS       "Nickname %s already %s."
#define NS_ALID		  "You are already identified."
#define NS_CANNOTREG      "This nick is unregisterable!!"
#define NS_NEEDID         "This nickname may not be used.  Please choose another one."
#define NS_NEEDID2        "If you do not change within one minute, your nick will be changed"
#define NS_NEEDID3        "This nickname is registered and protected. If it is your"
#define NS_NEEDID4        "nick, type \2/msg %s IDENTIFY \37password\37\2. Otherwise,"
#define NS_NEEDID5        "please choose a different nick."
#define NS_NEEDID6        "This nick is owned by someone else. Please choose another."
#define NS_NEEDID7        "If this is your nick, type \2/msg %s IDENTIFY \37password\37\2."
#define NS_60SEC          "If you do not change within one minute, your nick will be changed."
#define NS_30SEC          "If you do not change within 40 seconds, your nick will be changed."
#define NS_20SEC          "If you do not change within 20 seconds, your nick will be changed."
#define NS_NFEOL          "%d Nick(s) Found, \2End of List\2"
#define NS_REGFAIL        "Sorry, registration failed."
// ChanServ Strings
#define CS_REGISTER      "Channel %s registered under your nickname: %s"
#define CS_REGISTER2     "Your channel password is \2%s\2 - remember it for later use."
#define CS_REGISTER3     "By Default, %s is now set to \2%s\2"
#define CS_IDENTIFY      "Password accepted - you now have founder-level access to %s."
#define CS_DROP          "Channel %s has been dropped."
#define CS_DELETE        "Channel %s has been deleted."
#define CS_NOTREG        "Channel %s isn't registered."

// MemoServ Strings

#define MS_MEMOSENT      "Memo has been sent to \2%s\2."
#define MS_CHANSENT      "Channel memo sent to %s."
#define MS_SOPSENT       "Channel memo sent to %s SOPs."
#define MS_NOMEMO        "You have no memos."
#define MS_NONEWMEMO     "You have no new memos."
#define MS_FORWARD       "Memo forwarded to %s from %s."
#define MS_NOFORWARD     "Your memos will no longer be forwarded."
#define MS_NEWMEMO       "You have a new memo from %s."
#define MS_NEWMEMOSYS    "You have a new memo from \2%s\2."
#define MS_NREG		 "Welcome to "
#define MS_READING       "\2%s\2 is reading your memo"
// #define MS_RONLINE       "User: %s is currently online, Using /MSG %s to leave message him/her"
#define MS_RONLINE2	 "User %s is currently online, you can talk to him/her directly by typing /msg %s message-here"
// OperServ Strings

#define OS_AKILL         "You have been banned from this network"
#define OS_RAKILL        "Removing AKILL for %s [Time Expired]"
#define OS_UPDATE        "Updating databases."
#define OS_SET_SNOOP     "Snoop Enabled."
#define OS_SET_SNOOP2    "Snoop Disabled."
#define OS_SET_IGNORE    "Ignore code \2will\2 be used."
#define OS_SET_IGNORE2   "Ignore code \2will not\2 be used."
#define OS_SET_SENDLOG   "Services will now send services logs."
#define OS_SET_SENDLOG2  "Services will no longer send services logs."
#define OS_SET_CLONE     "Services is now clone detecting."
#define OS_SET_CLONE2    "Services will NOT clone detect."
#define OS_SET_FLOOD     "Services is now monitoring flood levels."
#define OS_SET_FLOOD2    "Services will no longer monitor flood levels."
#define OS_SET_RNC       "Services is now Real Name Catching."
#define OS_SET_RNC2      "Real Name Catching disabled."
#define OS_AUTOKILLCLONE "Clones are not allowed in this Network"
/*************************************************************************/
#define NEWS_HEADER     "\2Current %s News\2:"
#define NEWS_END        "\2End of News Report\2"
#define PMD             "Permission Denied" 
#define ERR_OHELP       "\2/msg %s OHELP HOLD\2 for more information"
#define ERR_EOL         "\2End of List\2"
#define ERR_MORE_INFO           "Type \2/MSG %s HELP %s\2 for more information."
#define NS_NOT_REGISTERED       "Nick \2%s\2 is not registered."
#define NS_YOU_NOT_REGISTERED   "Nick \2%s\2 is not registered."
#define ERR_YOU_DONT_EXIST      "Sorry, could not obtain your user information."
#define NS_NOT_YOURS            "Nick \2%s\2 does not belong to you."
#define ERR_IDENT_NICK_FIRST    "Please retry after typing \2/MSG %s IDENTIFY Password\2."
#define NS_NO_SLAVES            "Nick \2%s\2 has no linked nicks."
#define NS_YOU_NO_SLAVES        "You have no linked nicks."
#define ERR_NOT_ON_YOURSELF     "\2%s\2 may not be performed on yourself."
#define ERR_MUST_BE_HOST        "\2%s\2 must be done as the HOST nick."
#define ERR_NEED_PASSWORD       "Password authentication required for \2%s\2."
#define NS_DROPPED              "Nick \2%s\2%s%s%s has been dropped."
#define ERR_ACCESS_DENIED       "Access denied."
/*********************************************************************/
#define MISC_OFHELP	"For more infomation join channel \2%s\2."
#define MISC_TOOMANYCS  "Too many invalid chan passwords"
#define MISC_TOOMANYNS  "Too many invalid nick passwords"
/************************ NickServ.c *********************************/
#define NS_REG		"Nickname %s registered under your account: %s"
#define NS_REG2 	"Your password is \2%s\2 - remember this for later use."
#define NS_REGA		"You will receive an E-Mail shortly asking for authorization of your e-mail. By doing so you will be securing your nick, and taking a step to reduce the risk of someone exploiting your registrations."
#define NS_REGA2	"\2IMPORTANT\2: If you do not authorize your nick within 24 hours your nick would be drop"
#define NS_OWN		"For more information on owning your own nickname, go to: \2%s\2"
#define NS_IRCOP	"To turn your IRCop flag on type \2/Msg %s SET IRCop ON\2."
#define ERR_READONLY    "Warning: Services is in read-only mode. Changes   will not be saved."
#define ERR_MOREFLAG	"You do not have right oper flag to use this command."
#define PMDF		"Access denied to that function for %s."
#define NS_IDFAIL	"Password incorrect. You have \2%d\2 more time(s) to try."
#define CS_IDFAIL	"Password incorrect. You have \2%d\2 more time(s) to try."
#define NS_IDFAIL2	"If you believe that this nick is yours and you lost password please join channel \2%s\2."
#define CS_IDFAIL2	"If you believe that this nick is yours and you lost password please join channel \2%s\2."
#define CS_MLOCKREG	"Paramater required for MLOCK +%c"
#define CS_MLOCKPOS	"Paramater for MLOCK +%c must be positive."
#define CS_MLOCKCH	"ModeLock of %s changed to %s%s%s%s."
#define CS_CLOSE	"This channel has been closed by the Network Administration."
#define CS_NOTDEOP	"Can not deop!! Out of rank!!"
#define NS_AJOINON	"AutoJoin is now \2On\2"
#define NS_AJOINOFF	"AutoJoin is now \2Off\2"
#define NS_AJOINA	"You are not activate your autojoin yet. please type /MSG %s SET AUTOJOIN ON"
#define NS_CAGG		"Your nickname is now being changed, because %s is a registered nickname with the 'aggressive protection' option enabled."
#define NS_CAGG1 	"If this is your nickname, then please identify prior to using it, using the command: /%s IDENTIFY %s <password>"
#define NS_CAGG2 	"You will need to release your nickname from custody before attemping to use it again, using the command: /%s RELEASE %s <password>"
#define ERR_OSPMD	"Bad Command or Permission Denied. [You need more access]"
#define CS_MOVEACC	"\2%s\2 has been moved from the %s to the %s list of \2%s\2."
#define OS_ERR_PERMKILL	"Permanent akills can only place by Services Root"
#define OS_ERR_KILLFLAG	"Normal IRCop can not place akill longer than 15 minutes."
#define OS_ERR_ONLYOPER	"Sorry, only IRC Operators may access OperServ."
